@use "@/styles/" as *;

.headingTitle1 {
  align-self: stretch;
  position: relative;
  letter-spacing: 0.02em;
  line-height: 140%;
}
.headingTitle2 {
  position: relative;
  letter-spacing: -0.02em;
  line-height: 100%;
}
.frameChild {
  position: relative;
  background-color: #fff;
  width: 80px;
  height: 4px;
  transform: rotate(-4deg);
  transform-origin: 0 0;
}
.line2Inner {
  display: flex;
  flex-direction: column;
  padding: 4px 0px 10px;
  align-items: flex-start;
  justify-content: flex-start;
}
.line2 {
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: flex-start;
  gap: 8px;
}
.main {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  text-align: left;
  font-size: 64px;
  color: #fff;
  font-family: Niramit;
}
.sectionHeading {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}
.arrowLeftIcon1 {
  position: relative;
  width: 24px;
  height: 24px;
  overflow: hidden;
  flex-shrink: 0;
  filter: invert(100%) sepia(1%) saturate(5412%) hue-rotate(188deg)
    brightness(117%) contrast(100%);
}
.icon {
  border-radius: 24px;
  border: 1px solid #fff;
  display: flex;
  flex-direction: row;
  padding: 8px;
  align-items: flex-start;
  justify-content: flex-start;
  cursor: pointer;
}
.iconParent {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 10px;
  margin-left: -107px;
}
.highlightCarousel {
  align-self: stretch;
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  justify-content: center;
}
.cardParentMobile,
.cardParentDesktop {
  @include no-scroll-bar;

  width: 100%;
  height: 535px;
  overflow-x: auto;
  overflow-y: hidden;
  flex-shrink: 0;
  display: flex;
  flex-direction: row;
  box-sizing: border-box;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 24px;
  text-align: left;
  font-size: 12px;
  color: #143080;
}
.cardParentMobile {
  display: none;
}
.frameParent {
  background-color: #0c1d4d;
  width: 100%;
  height: 433px;
  display: flex;
  flex-direction: column;
  padding: 60px 71px 40px;
  box-sizing: border-box;
  align-items: center;
  justify-content: flex-start;
  gap: 48px;
}
.highlight {
  position: relative;
  width: 100%;
  height: 799px;
  text-align: center;
  font-size: 20px;
  color: #ebebeb;
  font-family: "Inter Tight";
}
.carousel {
  display: flex;
  gap: 24px;
}

@include mobile {
  .frameChild {
    width: 56px;
    height: 3px;
  }
  .headingTitle1 {
    font-size: 16px;
  }
  .headingTitle2 {
    font-size: 48px;
  }
  .iconParent {
    display: none;
  }
  .frameParent {
    height: 344px;
    padding: 40px 0 0;
    gap: 40px;
  }
  .cardParentMobile {
    display: flex;
    width: 100%;
    height: 100%;
    overflow: unset;
    flex-shrink: unset;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    gap: 40px;
    padding: 0px 16px 0;
  }
  .cardParentDesktop {
    display: none;
  }
}
